Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conf_phys_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conf_phys_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/conf_phys_m.F90	(revision 3814)
@@ -27,5 +27,5 @@
     USE phys_cal_mod
     USE carbon_cycle_mod, ONLY : carbon_cycle_tr, carbon_cycle_cpl
-    USE control_mod
+    USE control_phy_mod
     USE mod_grid_phy_lmdz, only: klon_glo
 
@@ -245,5 +245,5 @@
        WRITE(lunout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
        WRITE(lunout,*)'You have to update your parameter file physiq.def to succed running'
-       CALL abort_gcm('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
+       CALL abort_physic('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
     END IF
 
@@ -258,5 +258,5 @@
        WRITE(lunout,*)'ERROR! Timestep of coupling between atmosphere and ocean'
        WRITE(lunout,*)'cannot be zero.'
-       CALL abort_gcm('conf_phys','t_coupl = 0.',1)
+       CALL abort_physic('conf_phys','t_coupl = 0.',1)
     END IF
 
@@ -2077,5 +2077,5 @@
     IF (type_ocean=='couple' .AND. (version_ocean/='opa8' .AND. version_ocean/='nemo') ) THEN
        WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
-       CALL abort_gcm('conf_phys','version_ocean not valid',1)
+       CALL abort_physic('conf_phys','version_ocean not valid',1)
     END IF
 
@@ -2085,5 +2085,5 @@
              .AND. version_ocean/='sicINT' .AND. version_ocean/='sicNO') THEN
        WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
-       CALL abort_gcm('conf_phys','version_ocean not valid',1)
+       CALL abort_physic('conf_phys','version_ocean not valid',1)
     END IF
 
@@ -2092,8 +2092,8 @@
     IF (ok_ade .OR. ok_aie) THEN 
        IF ( flag_aerosol .EQ. 0 ) THEN
-          CALL abort_gcm('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
+          CALL abort_physic('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
        END IF
        IF ( .NOT. new_aod .AND.  flag_aerosol .NE. 1) THEN
-          CALL abort_gcm('conf_phys','new_aod=.FALSE. not compatible avec flag_aerosol=1',1)
+          CALL abort_physic('conf_phys','new_aod=.FALSE. not compatible avec flag_aerosol=1',1)
        END IF
     END IF
@@ -2101,5 +2101,5 @@
     ! ok_cdnc must be set to y if ok_aie is activated
     IF (ok_aie .AND. .NOT. ok_cdnc) THEN
-       CALL abort_gcm('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated',1)
+       CALL abort_physic('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated',1)
     ENDIF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/control_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/control_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/control_phy_mod.f90	(revision 3814)
@@ -0,0 +1,24 @@
+MODULE control_phy_mod
+
+  INTEGER,SAVE :: iphysiq ! call physics every iphysiq dynamical steps
+  !$OMP THREADPRIVATE(iphysiq)
+
+  INTEGER,SAVE :: day_step ! # of dynamical time steps per day
+  !$OMP THREADPRIVATE(day_step)
+
+  INTEGER,SAVE :: nday ! # of days to run
+  !$OMP THREADPRIVATE(nday)
+
+  INTEGER,SAVE :: dayref
+  !$OMP THREADPRIVATE(dayref)
+
+  CHARACTER(len=4),SAVE :: config_inca
+  !$OMP THREADPRIVATE(config_inca)
+
+  INTEGER,SAVE :: raz_date
+  !$OMP THREADPRIVATE(raz_date)
+
+  LOGICAL,SAVE :: offline
+  !$OMP THREADPRIVATE(offline)
+
+END MODULE control_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/convect3.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/convect3.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/convect3.F90	(revision 3814)
@@ -16,5 +16,5 @@
   ! #################################################################
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   include "dimensions.h"
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cpl_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cpl_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cpl_mod.F90	(revision 3814)
@@ -24,5 +24,5 @@
   USE oasis
   USE write_field_phy
-  USE control_mod
+  USE control_phy_mod
 
   
@@ -102,7 +102,6 @@
     USE surface_data
     USE indice_sol_mod
-
+    USE temps_phy_mod
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "iniprint.h"
 
@@ -204,5 +203,5 @@
     IF (sum_error /= 0) THEN
        abort_message='Pb allocation variables couplees'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
 !*************************************************************************************
@@ -279,5 +278,5 @@
     IF (carbon_cycle_cpl .AND. version_ocean=='opa8') THEN
        abort_message='carbon_cycle_cpl does not work with opa8'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     END IF
 
@@ -297,6 +296,6 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
     USE indice_sol_mod
-
-    INCLUDE "temps.h"
+    USE temps_phy_mod
+    
     INCLUDE "iniprint.h"
     INCLUDE "YOMCST.h"
@@ -668,5 +667,5 @@
           IF (sum_error /= 0) THEN
              abort_message='Pb allocation variables couplees pour l''ecriture'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -853,5 +852,5 @@
           IF (sum_error /= 0) THEN
              abort_message='Pb allocation variables couplees pour l''ecriture'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -1028,7 +1027,8 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
     USE indice_sol_mod
+    USE temps_phy_mod
+
 ! Some includes
 !*************************************************************************************
-    INCLUDE "temps.h"
     INCLUDE "dimensions.h"
     
@@ -1291,5 +1291,5 @@
     IF (sum_error /= 0) THEN
        abort_message='Pb in deallocation of cpl_xxxx2D coupling variables'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv30_routines.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv30_routines.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv30_routines.F90	(revision 3814)
@@ -813,5 +813,5 @@
     WRITE (lunout, *) 'strange! nn not equal to ncum: ', nn, ncum
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inicp.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inicp.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inicp.F90	(revision 3814)
@@ -109,5 +109,5 @@
       PRINT *, 'WARNING:: AREA OF MIXING PDF IS::', aire
       abort_message = ''
-      CALL abort_gcm(modname, abort_message, 1)
+      CALL abort_physic(modname, abort_message, 1)
     ELSE
       PRINT *, 'Area, mean & std deviation are ::', aire, mu, sigma
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inip.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inip.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_inip.F90	(revision 3814)
@@ -138,5 +138,5 @@
       WRITE (lunout, *) 'WARNING:: AREA OF MIXING PDF IS::', aire
       abort_message = ''
-      CALL abort_gcm(modname, abort_message, 1)
+      CALL abort_physic(modname, abort_message, 1)
     ELSE
       PRINT *, 'Area, mean & std deviation are ::', aire, mu, sigma
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_routines.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_routines.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3_routines.F90	(revision 3814)
@@ -965,5 +965,5 @@
     WRITE (lunout, *) 'strange! nn not equal to ncum: ', nn, ncum
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3a_compress.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3a_compress.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3a_compress.F90	(revision 3814)
@@ -125,5 +125,5 @@
     PRINT *, 'WARNING nn not equal to ncum: ', nn, ncum
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
@@ -155,5 +155,5 @@
     PRINT *, 'WARNING nn not equal to ncum: ', nn, ncum
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3p1_closure.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3p1_closure.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv3p1_closure.F90	(revision 3814)
@@ -551,5 +551,5 @@
         , il, alp2(il), alp(il), cin(il)
       abort_message = ''
-      CALL abort_gcm(modname, abort_message, 1)
+      CALL abort_physic(modname, abort_message, 1)
     END IF
     cbmfmax(il) = sigmax*wb2(il)*100.*p(il, icb(il))/(rrd*tv(il,icb(il)))
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv_routines.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv_routines.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cv_routines.F90	(revision 3814)
@@ -453,5 +453,5 @@
     WRITE (lunout, *) 'strange! nn not equal to ncum: ', nn, ncum
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cva_driver.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cva_driver.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cva_driver.F90	(revision 3814)
@@ -671,5 +671,5 @@
     WRITE (lunout, *) 'changer la valeur de sig2feed dans physiq.def'
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr.F90	(revision 3814)
@@ -12,5 +12,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
 !=====================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_noscav.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_noscav.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_noscav.F90	(revision 3814)
@@ -4,5 +4,5 @@
 SUBROUTINE cvltr_noscav(it,pdtime,da, phi, mp,wght_cvfd,paprs,pplay,x,upd,dnd,dx)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   IMPLICIT NONE 
 !=====================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_scav.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_scav.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_scav.F90	(revision 3814)
@@ -13,5 +13,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
   !=====================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_spl.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_spl.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltr_spl.F90	(revision 3814)
@@ -13,5 +13,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
 !=====================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltrorig.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltrorig.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/cvltrorig.F90	(revision 3814)
@@ -4,5 +4,5 @@
 SUBROUTINE cvltrorig(it,pdtime,da, phi, mp,paprs,pplay,x,upd,dnd,dx)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   IMPLICIT NONE 
 !=====================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ener_conserv.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ener_conserv.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ener_conserv.F90	(revision 3814)
@@ -88,5 +88,5 @@
    ELSE
       abort_message = 'iflag_ener_conserv non prevu'
-      CALL abort_gcm (modname,abort_message,1)
+      CALL abort_physic (modname,abort_message,1)
    ENDIF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp.F90	(revision 3814)
@@ -25,5 +25,4 @@
   !ym include "dimphy.h"
   include "YOMCST.h"
-  include "tracstoke.h"
   include "fisrtilp.h"
   include "nuage.h" ! JBM (3/14)
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp_tr.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp_tr.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fisrtilp_tr.F90	(revision 3814)
@@ -21,5 +21,4 @@
   ! ym#include "dimphy.h"
   include "YOMCST.h"
-  include "tracstoke.h"
   include "iniprint.h"
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fonte_neige_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/fonte_neige_mod.F90	(revision 3814)
@@ -63,5 +63,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation run_off_lic'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     run_off_lic_0(:) = restart_runoff(:) 
@@ -74,5 +74,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation run_off_ter'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     run_off_ter(:) = 0.
@@ -81,5 +81,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation run_off_lic'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     run_off_lic(:) = 0.
@@ -88,5 +88,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation ffonte_global'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     ffonte_global(:,:) = 0.0
@@ -95,5 +95,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation fqfonte_global'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     fqfonte_global(:,:) = 0.0
@@ -102,5 +102,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation fqcalving_global'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     fqcalving_global(:,:) = 0.0
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/hgardfou.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/hgardfou.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/hgardfou.F90	(revision 3814)
@@ -129,5 +129,5 @@
   END DO
 
-!  IF (.NOT. ok) CALL abort_gcm(modname, text, 1)
+!  IF (.NOT. ok) CALL abort_physic(modname, text, 1)
   IF (.NOT. ok) abortphy=1
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/infotrac_phy.f90	(revision 3814)
@@ -0,0 +1,62 @@
+MODULE infotrac_phy
+
+
+! nqtot : total number of tracers and higher order of moment, water vapor and liquid included
+  INTEGER, SAVE :: nqtot
+!$OMP THREADPRIVATE(nqtot)
+
+!CR: on ajoute le nombre de traceurs de l eau
+  INTEGER, SAVE :: nqo
+!$OMP THREADPRIVATE(nqo)
+
+! nbtr : number of tracers not including higher order of moment or water vapor or liquid
+!        number of tracers used in the physics
+  INTEGER, SAVE :: nbtr
+!$OMP THREADPRIVATE(nbtr)
+
+! Name variables
+  CHARACTER(len=20), ALLOCATABLE, DIMENSION(:), SAVE :: tname ! tracer short name for restart and diagnostics
+!$OMP THREADPRIVATE(tname)
+
+  CHARACTER(len=23), ALLOCATABLE, DIMENSION(:), SAVE :: ttext ! tracer long name for diagnostics
+!$OMP THREADPRIVATE(ttext)
+! niadv : vector keeping the coorspondance between all tracers(nqtot) treated in the 
+!         dynamic part of the code and the tracers (nbtr+2) used in the physics part of the code. 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE    :: niadv ! equivalent dyn / physique
+!$OMP THREADPRIVATE(niadv)
+
+! pbl_flg(it)=0  : boundary layer diffusion desactivaded for tracer number it 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE  :: pbl_flg
+!$OMP THREADPRIVATE(pbl_flg)
+
+! conv_flg(it)=0 : convection desactivated for tracer number it 
+  INTEGER, ALLOCATABLE, DIMENSION(:), SAVE  :: conv_flg
+!$OMP THREADPRIVATE(conv_flg)
+
+  CHARACTER(len=8),DIMENSION(:),ALLOCATABLE, SAVE :: solsym
+!$OMP THREADPRIVATE(solsym)
+
+  CHARACTER(len=4),SAVE :: type_trac
+!$OMP THREADPRIVATE(type_trac)
+
+CONTAINS
+
+  SUBROUTINE init_infotrac_phy(nbtr_,tname_,ttext_,niadv_)
+  IMPLICIT NONE
+    INTEGER :: nbtr_
+    CHARACTER(len=20), DIMENSION(:) :: tname_ ! tracer short name for restart and diagnostics
+    CHARACTER(len=23), DIMENSION(:) :: ttext_ ! tracer long name for diagnostics
+    INTEGER,  DIMENSION(:)          :: niadv_ ! equivalent dyn / physique
+    
+    nbtr=nbtr_
+    ALLOCATE(tname(size(tname_)))
+    ALLOCATE(ttext(size(ttext_)))
+    ALLOCATE(niadv(size(niadv_)))
+    tname(:) = tname_(:)
+    ttext(:) = ttext_(:)
+    niadv(:) = niadv_(:)
+  
+  END SUBROUTINE init_infotrac_phy
+  
+  
+END MODULE infotrac_phy
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/inifis.F90	(revision 3814)
@@ -60,5 +60,5 @@
     PRINT *, 'klev   = ', klev
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
@@ -69,5 +69,5 @@
     PRINT *, 'klon   = ', klon
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
@@ -76,5 +76,5 @@
     &                                                         &
     &        et surf.def'
-  CALL abort_gcm(modname, abort_message, 1)
+  CALL abort_physic(modname, abort_message, 1)
 
 END SUBROUTINE inifis
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_be.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_be.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_be.F90	(revision 3814)
@@ -6,5 +6,5 @@
   USE dimphy
   USE comgeomphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   USE indice_sol_mod
     
@@ -65,5 +65,5 @@
 ! la source est maintenant définie independemment de la valeur de klev.
 !!! Source actuellement definie pour klev = 19 et klev >= 39
-!!  IF (klev /= 19 .AND. klev<39) CALL abort_gcm("init_be","Source du be7 necessite klev=19 ou klev>=39",1)
+!!  IF (klev /= 19 .AND. klev<39) CALL abort_physic("init_be","Source du be7 necessite klev=19 ou klev>=39",1)
 !!!
 ! Definition des constantes
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_phys_lmdz.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_phys_lmdz.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/init_phys_lmdz.F90	(revision 3814)
@@ -2,9 +2,9 @@
 !$Header$
 !
-SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
+SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib,communicator)
   USE mod_phys_lmdz_para, ONLY: Init_phys_lmdz_para, klon_omp
   USE mod_grid_phy_lmdz, ONLY: Init_grid_phy_lmdz, nbp_lev
   USE dimphy, ONLY : Init_dimphy
-  USE infotrac, ONLY : type_trac
+  USE infotrac_phy, ONLY : type_trac
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_phys
@@ -18,8 +18,9 @@
     INTEGER,INTENT(in) :: nb_proc
     INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
+    INTEGER,INTENT(in) :: communicator
 
 
     CALL Init_grid_phy_lmdz(iim,jjp1,llm)
-    CALL Init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
+    CALL Init_phys_lmdz_para(iim,jjp1,nb_proc,distrib,communicator)
 !$OMP PARALLEL
     CALL Init_dimphy(klon_omp,nbp_lev)
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initphysto.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initphysto.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initphysto.F90	(revision 3814)
@@ -8,7 +8,8 @@
   USE IOIPSL
   USE iophy
-  USE control_mod
+  USE control_phy_mod
   USE indice_sol_mod
-  
+  USE comconst_phy_mod
+  USE temps_phy_mod
   IMPLICIT NONE
 
@@ -40,11 +41,5 @@
 !   Declarations
   INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  INCLUDE "comconst.h"
-  INCLUDE "comgeom.h"
-  INCLUDE "temps.h"
-  INCLUDE "logic.h"
   INCLUDE "description.h"
-  INCLUDE "serre.h"
 
 !   Arguments
@@ -71,5 +66,4 @@
 !  Initialisations
 !
-  pi = 4. * ATAN (1.)
   ok_sync= .TRUE.
 !
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initrrnpb.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initrrnpb.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/initrrnpb.F90	(revision 3814)
@@ -4,5 +4,5 @@
 SUBROUTINE  initrrnpb(ftsol,pctsrf,masktr,fshtr,hsoltr,tautr,vdeptr,scavtr)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   USE traclmdz_mod, ONLY : id_rn, id_pb
   USE indice_sol_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/interfoce_lim.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/interfoce_lim.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/interfoce_lim.F90	(revision 3814)
@@ -118,5 +118,5 @@
         IF (ierr.NE.NF_NOERR) THEN
            abort_message = 'Pb d''ouverture du fichier de conditions aux limites'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
 
@@ -135,5 +135,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FOCE> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -144,5 +144,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FOCE>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -152,5 +152,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FSIC> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -161,5 +161,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FSIC>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -169,5 +169,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FTER> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -178,5 +178,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FTER>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -186,5 +186,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FLIC> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -195,5 +195,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FLIC>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -203,5 +203,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <NAT> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -212,5 +212,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <NAT>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 !
@@ -237,5 +237,5 @@
         IF (ierr /= NF_NOERR) THEN
            abort_message = 'Le champ <SST> est absent'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
 #ifdef NC_DOUBLE
@@ -246,5 +246,5 @@
         IF (ierr /= NF_NOERR) THEN
            abort_message = 'Lecture echouee pour <SST>'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
           
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/iophy.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/iophy.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/iophy.F90	(revision 3814)
@@ -451,8 +451,7 @@
     use phys_output_var_mod, only: type_ecri, zoutm, zdtime_moy, lev_files, &
                                    nid_files, nhorim, swaero_diag, nfiles
+    USE temps_phy_mod
     IMPLICIT NONE
-
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
 
@@ -507,8 +506,8 @@
                                    nhorim, zdtime_moy, levmin, levmax, &
                                    nvertm, nfiles
+    USE temps_phy_mod
     IMPLICIT NONE
 
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
 !    INCLUDE "indicesol.h"
     INCLUDE "clesphys.h"
@@ -566,8 +565,8 @@
     use wxios, only: wxios_add_field_to_file
 #endif
+    USE temps_phy_mod
     IMPLICIT NONE
 
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
     INCLUDE "iniprint.h"
@@ -653,8 +652,8 @@
     use wxios, only: wxios_add_field_to_file
 #endif
+    USE temps_phy_mod
     IMPLICIT NONE
 
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
     INCLUDE "iniprint.h"
@@ -767,5 +766,5 @@
 
 
-    IF (size(field)/=klon) CALL abort_gcm('iophy::histwrite2d','Field first DIMENSION not equal to klon',1)
+    IF (size(field)/=klon) CALL abort_physic('iophy::histwrite2d','Field first DIMENSION not equal to klon',1)
     
     CALL Gather_omp(field,buffer_omp)    
@@ -831,5 +830,5 @@
 
 
-    IF (size(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (size(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=size(field,2)
 
@@ -945,5 +944,5 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field)/=klon) CALL abort_gcm('iophy::histwrite2d_phy','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field)/=klon) CALL abort_physic('iophy::histwrite2d_phy','Field first DIMENSION not equal to klon',1)
     
     if (prt_level >= 10) then
@@ -971,5 +970,5 @@
           endif
 #else
-        CALL abort_gcm ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
 #endif
       ELSE  
@@ -1095,5 +1094,5 @@
   ELSE
     !Et sinon on.... écrit
-    IF (SIZE(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=SIZE(field,2)
     if (nlev.eq.klev+1) then
@@ -1119,5 +1118,5 @@
           CALL xios_send_field(var%name, Field3d(:,:,1:nlevx))
 #else
-        CALL abort_gcm ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
 #endif
       ELSE  
@@ -1216,5 +1215,5 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field)/=klon) CALL abort_gcm('iophy::histwrite2d_xios','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field)/=klon) CALL abort_physic('iophy::histwrite2d_xios','Field first DIMENSION not equal to klon',1)
     
     CALL Gather_omp(field,buffer_omp)    
@@ -1286,5 +1285,5 @@
 
     !Et on.... écrit
-    IF (SIZE(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=SIZE(field,2)
 
